Bug 35011 - gcj Internal compiler error in expand_end_case, at stmt.c:5270
gcj Internal compiler error in expand_end_case, at stmt.c:5270
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-06 09:02 EDT by Pekka Järveläinen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 09:35:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Järveläinen 2001-04-06 09:02:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3 i686)


 gcj -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/libgcj.spec
rename spec lib to liborig
rename spec startfile to startfileorig
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-80)

 gcj -c Tds.java
'Tds.java: In class `com.internetcds.jdbc.tds.Tds':
Tds.java: In method `processEnvChange()':
Tds.java:1155: Internal compiler error in expand_end_case, at stmt.c:5270


Reproducible: Always
Steps to Reproduce:
1. download
ftp://freetds.internetcds.com/pub/freetds_jdbc/freetds_jdbc.snapshot.tgz
2. unpack the tar, just compile the class-files by javac
tar xf ~/dl/freetds_jdbc.snapshot.tgz
cd freetds_jdbc/
make
no matter error message, you don't have to finnish it
3.  gcj -c Tds.java

	

Actual Results:  Tds.java: In class `com.internetcds.jdbc.tds.Tds':
Tds.java: In method `processEnvChange()':
Tds.java:1155: Internal compiler error in expand_end_case, at stmt.c:5270
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  gcj should produce .o file as it works with other source
files 
gcj -c -O3 -mpentiumpro    Logger.java
gcj -c -O3 -mpentiumpro    HexDump.java
gcj -c -O3 -mpentiumpro    DriverVersion.java
gcj -c -O3 -mpentiumpro    TdsUtil.java
gcj -c -O3 -mpentiumpro    TdsException.java
gcj -c -O3 -mpentiumpro    TdsConfused.java
...


RH 7.0.95 (Florence)

Note You need to log in before you can comment on or make changes to this bug.